import { ObservableInterface } from "@hibas123/utils";

export enum LoggingTypes {
    Log,
    Warning,
    Error,
    Debug
}

export interface Message {
    type: LoggingTypes;
    name?: string;
    text: {
        raw: string[],
        formatted: string[]
    };
    date: Date;
    file: string;
    customColors?: string;
}

export interface Adapter {
    init(observable: ObservableInterface<Message>, name?: string): void | Promise<void>;

    flush(sync: true): void;
    flush(sync: false): void | Promise<void>;
}